@import url("./components/common.css");
@import url("./components/social.css");
@import url("./components/footer.css");
@import url("./components/navbar.css");
@import url("./all.css");

.productPage {
  width: 95%;
  margin: auto;
}

.productPageWrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--background);
  gap: 10px;
}

.pageLeft {
  flex: 1.4;
  display: flex;
  align-self: baseline;
  flex-direction: column;
  padding: 10px;
  box-shadow: 1px -1px 3px #2b2929;
  background: var(--background-1);
  min-height: 100vh;
  transition: all 1.3s;
}

.pageLeft input {
  padding: 10px;
  outline-color: var(--font-1);
  border: none;
  box-shadow: 1px -1px 3px #121111;
  border-radius: 4px;
}

.categories,
.providerBrands {
  display: flex;
  flex-direction: column;
}

.catTitle {
  font-size: 18px;
  color: ghostwhite;
  margin: 10px 0px;
  cursor: pointer;
  font-weight: 600;
}

.cat,
.providerBrand {
  display: flex;
  flex-direction: column;
}

.cat ul,
.providerBrand ul {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: all 2s ease-in-out;

}

.productItemList {
  color: var(--background);
  cursor: pointer;
  font-weight: 400;
  transition: all 0.7s;
  padding: 1px 5px;
  width: 100%;
  text-align: center;
  border-radius: 4px;
  text-transform: capitalize;
}

.productItemList:hover {
  background-color: var(--subtitle);
  color: ghostwhite;
  text-align: left;
}

.activeCat {
  background-color: var(--background);
  color: var(--background-1);
  text-align: left;
}


@media only screen and (max-width:768px) {
  .pageLeft {
    width: 100%;
    padding: 0px;
    box-shadow: -1px 6px 3px #111010;
    padding-bottom: 10px;
    min-height: unset;
    justify-content: center;
  }

  .pageLeft input {
    width: 60%;
    align-self: center;
    margin-top: 10px;
  }

  .productPageWrapper {
    flex-direction: column;
    width: 100%;
  }

  .leftWrapper {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
  }

}

.pageRight {
  flex: 4;
}

.rightWrapper {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.rightTitle {
  color: #036070;
  font-weight: 700;
  margin: 10px 0px;
  box-shadow: 1px 2px 3px #cccccc;
  padding: 10px;
}

.rightImg {
  width: 150px;
  max-height: 150px;
  padding: 10px;
  transition: all 0.9s;
  object-fit: cover;

}

.rightImg:hover {
  transform: rotateY(200deg);
}

.rightCards {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  margin: 30px 0px;
}

.rightCard {
  display: flex;
  flex-direction: column;
  background-color: var(--background-2);
  border-radius: 5px;
  min-height: 350px;
  min-width: 100%;
}

.rightCard:hover .rightImg {
  position: relative;
  top: 0%;
  animation-name: topBottom;
  animation-duration: 1.8s;
  animation-iteration-count: 2;
  animation-timing-function: ease-in;
  animation-fill-mode: backwards;
  animation-direction: alternate;
}

@keyframes topBottom {
  form {
    top: 0%;
  }

  to {
    top: 70%;
  }
}

.imgAndDesc {
  display: flex;
  gap: 5px;
  padding: 10px;

}
.imgAndDesc a{
  background-color: rgb(234 241 255);
  box-shadow: 2px 4px 0px 0px #a9a7a7;;
}

.cardHeadingBrand {
  font-style: italic;
  color: var(--title);
  text-transform: capitalize;
}

.cardHeadingCat {
  font-style: oblique;
  color: var(--background);
  text-transform: capitalize;
}

.cardHeadingPart {
  color: var(--font-1);
  text-transform: uppercase;
}

.rightDesc {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.rightDescText {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  flex-wrap: wrap;
}
.rightDescText span{
  font-weight: bold;
  color: var(--subtitle);
}
.proDescText {
  color: var(--background);
  padding-left: 4px;
  letter-spacing: 1.2px;
  overflow-x: auto;
  min-height: 200px;
  max-width: 80%;
}

.proDescText::-webkit-scrollbar {
  display: none;
}

.rightBtns {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0px 4px;
}

.rightRfq {
  cursor: pointer;
  border-radius: 4px;
  border: none;
  padding: 8px 16px;
  background-color: var(--title);
  color: white;
  margin-bottom: 3px;
}

.dataSheet {
  font-weight: 500;
  color: rgb(237 158 246);
  font-style: oblique;
}

/* pagination */
.pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.paginationWarpper {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 100%;
}

.paginationWarpper ul {
  display: flex;
  gap: 10px;
  padding: 10px;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;
}

.paginationList {
  cursor: pointer;
  padding: 8px;
}

.paginationList:hover {
  background-color: rgb(20, 100, 100);
  color: white;
  border-radius: 50%;

}

.activePage {
  background-color: rgb(20, 100, 100);
  color: white;
  border-radius: 50%;
}

.previousButton {
  background-color: rgb(20, 100, 100);
  padding: 8px;
  border-radius: 4px;
  color: white;
  cursor: pointer;
}

.nextButton {
  background-color: rgb(20, 100, 100);
  padding: 8px;
  border-radius: 4px;
  color: white;
  cursor: pointer;

}

.disableButton {
  cursor: not-allowed;
  opacity: 0.5;
}

/* pagination end */
@media only screen and (max-width: 380px) {
  .rightCard {
    width: 92%;
    height: unset;
  }

  .proDescText {
    font-size: 14px;
  }

  .cardHeadingPart {
    font-size: 17px;
  }

  .cardHeadingCat {
    font-size: 16px;
  }

  .cardHeadingBrand {
    font-size: 15px;
  }

  .rightDescText span {
    font-size: 14px;
  }
}

@media only screen and (max-width: 244px) {
  .imgAndDesc {
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
  }

  .rightCard {
    width: 96%;
  }

}
